summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoractionless2018-03-25 01:06:40 +0100
committeractionless2018-03-25 01:06:40 +0100
commitffc27986add7d49a8074b2e1781dee712c8c64f5 (patch)
tree0f2fccfe142cb885ed530778ea483220aa6e712b
parent8f7134f454dcd84041e9dbf6a80c8f9acc5f4bc3 (diff)
downloadaur-ffc27986add7d49a8074b2e1781dee712c8c64f5.tar.gz
fix build procedure
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD10
2 files changed, 6 insertions, 6 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 4e87af5c4eb..cb4feba6826 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = pikaur
pkgdesc = AUR helper with minimal dependencies. Review PKGBUILDs all in once, next build them all without user interaction.
pkgver = 0.9.1
- pkgrel = 1
+ pkgrel = 2
url = https://github.com/actionless/pikaur
arch = any
license = GPLv3
diff --git a/PKGBUILD b/PKGBUILD
index cf4a20d8ed3..27ba778f975 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=pikaur
pkgver=0.9.1
-pkgrel=1
+pkgrel=2
pkgdesc="AUR helper with minimal dependencies. Review PKGBUILDs all in once, next build them all without user interaction."
arch=('any')
url="https://github.com/actionless/pikaur"
@@ -24,17 +24,17 @@ depends=(
conflicts=('pikaur-git')
build() {
- cd "${srcdir}/${pkgname}" || exit 2
+ cd "${srcdir}/${pkgname}-${pkgver}" || exit 2
sed -i -e "s/VERSION.*=.*/VERSION = '${pkgver}'/g" pikaur/config.py
- python setup.py install --prefix=/usr --root="$pkgdir/" --optimize=1
make
}
package() {
- cd "${srcdir}/${pkgname}" || exit 2
+ cd "${srcdir}/${pkgname}-${pkgver}" || exit 2
+ python setup.py install --prefix=/usr --root="$pkgdir/" --optimize=1
for lang in fr ru; do
install -Dm644 "locale/${lang}.mo" "$pkgdir/usr/share/locale/${lang}/LC_MESSAGES/pikaur.mo"
done
install -Dm644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
- cp -r "${srcdir}/${pkgname}/packaging/"* "${pkgdir}"
+ cp -r ./packaging/* "${pkgdir}"
}